## kdepim-addons 18.08.3

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.1)
set(PIM_VERSION "5.9.3")

project(kdepim-addons VERSION ${PIM_VERSION})
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(AKONADINOTES_LIB_VERSION "5.9.3")
set(QT_REQUIRED_VERSION "5.9.0")

include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)
include(ECMCoverageOption)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

option(KDEPIMADDONS_BUILD_EXAMPLES "Build the kdepim-addons example applications." FALSE)

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

option(KMAIL_EDITORCONVERTERPLUGIN_BUILD "Build the kmail editor converter plugin." FALSE)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets Widgets Test)

find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Declarative ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Prison ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)

set(MAILCOMMON_LIB_VERSION "5.9.3")
set(GRAVATAR_LIB_VERSION "5.9.3")
set(PIMCOMMON_LIB_VERSION "5.9.3")
set(GRANTLEETHEME_LIB_VERSION "5.9.3")
set(CALENDARSUPPORT_LIB_VERSION "5.9.3")
set(EVENTVIEW_LIB_VERSION "5.9.3")
set(LIBKDEPIM_LIB_VERSION "5.9.3")
set(KDEPIM_APPS_LIB_VERSION "5.9.3")
set(LIBKLEO_LIB_VERSION "5.9.3")
set(AKONADI_LIB_VERSION "5.9.3")
set(INCIDENCEEDITOR_LIB_VERSION "5.9.3")
set(KTNEF_LIB_VERSION "5.9.3")
set(MESSAGELIB_LIB_VERSION "5.9.3")
set(AKONADICALENDAR_LIB_VERSION "5.9.3")
set(CALENDAR_UTILS_VERSION "5.9.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.9.3")
set(KIMAP_LIB_VERSION "5.9.3")
set(LIBKSIEVE_LIB_VERSION "5.9.3")
set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
set(AKONADICONTACT_LIB_VERSION "5.9.3")
set(IMPORTWIZARD_LIB_VERSION "5.9.3")
set(MAILIMPORTER_LIB_VERSION "5.9.3")
set(KPIMPKPASS_LIB_VERSION "5.9.3")
set(KPIMITINERARY_LIB_VERSION "5.9.3")

find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookImportExport ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KIDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibKSieve ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimPkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimItinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

if(KDEPIM_ENTERPRISE_BUILD)
  set(KDEPIM_ENTERPRISE_BUILD true)
else()
  set(KDEPIM_ENTERPRISE_BUILD false)
endif()

# Extra package
find_package(Gpgmepp 1.8.0 CONFIG)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "http://www.gnupg.org" TYPE REQUIRED)

if(KDEPIMADDONS_BUILD_EXAMPLES)
  add_subdirectory(examples)
endif()
include_directories(${CMAKE_CURRENT_SOURCE_DIR})


add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(akregator)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
if(KPimImportWizard_FOUND)
  add_subdirectory(akonadi-import-wizard)
endif()

install(FILES kdepim-addons.categories kdepim-addons.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== examples/CMakeLists.txt ===


add_subdirectory(apps)
add_subdirectory(customtoolsplugins)
add_subdirectory(kmail)
add_subdirectory(messageviewergrantleetheme)

=== kaddressbook/CMakeLists.txt ===
add_subdirectory( editorpages )
add_subdirectory( plugins )
add_subdirectory( importexportplugins )
add_subdirectory( contacteditor )

=== kmail/editorconvertertextplugins/CMakeLists.txt ===
add_subdirectory(markdown)
add_subdirectory(inserttemplatecommand)

=== korganizer/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(datenums)
#Comment it it depends against kdelibs4support
#add_subdirectory(hebrew)
#Comment it is just too ugly --Allen
#add_subdirectory(lunarphases)
add_subdirectory(picoftheday)
add_subdirectory(thisdayinhistory)

=== plugins/customtoolsplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"customtoolsplugin\")
add_subdirectory(translatorplugin)

=== kaddressbook/plugins/sendmail/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)


set(kaddressbook_sendmailplugin_SRCS
    sendmailplugininterface.cpp
    sendmailplugin.cpp
    mailsenderjob.cpp
)

ecm_qt_declare_logging_category(kaddressbook_sendmailplugin_SRCS HEADER kaddressbook_sendmailplugin_debug.h IDENTIFIER KADDRESSBOOK_SENDMAIL_LOG CATEGORY_NAME org.kde.pim.kaddressbook_sendmail)

kcoreaddons_add_plugin(kaddressbook_sendmailplugin JSON kaddressbook_sendmailplugin.json SOURCES
    ${kaddressbook_sendmailplugin_SRCS} INSTALL_NAMESPACE kaddressbook)


target_link_libraries(kaddressbook_sendmailplugin
  KF5::PimCommon KF5::Completion KF5::IconThemes KF5::PimCommonAkonadi KF5::XmlGui KF5::I18n
)

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kaddressbook/plugins/sendvcards/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(kaddressbook_sendvcardsplugin_SRCS
    sendvcardsplugininterface.cpp
    sendvcardsplugin.cpp
    sendvcardsjob.cpp
)
ecm_qt_declare_logging_category(kaddressbook_sendvcardsplugin_SRCS HEADER kaddressbook_sendvcardsplugin_debug.h IDENTIFIER KADDRESSBOOK_SENDVCARDS_LOG CATEGORY_NAME org.kde.pim.kaddressbook_sendvcards)


kcoreaddons_add_plugin(kaddressbook_sendvcardsplugin JSON kaddressbook_sendvcardsplugin.json SOURCES
    ${kaddressbook_sendvcardsplugin_SRCS} INSTALL_NAMESPACE kaddressbook)


target_link_libraries(kaddressbook_sendvcardsplugin
  KF5::PimCommon KF5::Completion KF5::IconThemes KF5::PimCommonAkonadi KF5::XmlGui KF5::MimeTreeParser KF5::I18n
)

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kmail/editorconvertertextplugins/inserttemplatecommand/CMakeLists.txt ===
set(kmail_inserttemplatecommandeditorplugin_SRCS
    inserttemplatecommandplugineditor.cpp
    inserttemplatecommandplugineditorinterface.cpp
)

kcoreaddons_add_plugin(kmail_inserttemplatecommandeditorplugin JSON kmail_inserttemplatecommandeditorplugin.json SOURCES
    ${kmail_inserttemplatecommandeditorplugin_SRCS} INSTALL_NAMESPACE kmail)

target_link_libraries(kmail_inserttemplatecommandeditorplugin
  KF5::IconThemes KF5::MessageComposer KF5::TemplateParser KF5::XmlGui KF5::I18n
)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kmail/editorplugins/insertshorturl/CMakeLists.txt ===
set(shorturlpluginprivate_SRCS
    shorturlengineplugin/shorturlengineinterface.cpp
    shorturlengineplugin/shorturlengineplugin.cpp
    shorturlengineplugin/shorturlenginepluginmanager.cpp
)


add_library(shorturlpluginprivate ${shorturlpluginprivate_SRCS})
generate_export_header(shorturlpluginprivate BASE_NAME shorturl)

target_link_libraries(shorturlpluginprivate
PRIVATE
    Qt5::Network KF5::I18n KF5::CoreAddons Qt5::Gui
)

set_target_properties(shorturlpluginprivate
    PROPERTIES VERSION ${KDEPIMADDONS_LIB_VERSION} SOVERSION ${KDEPIMADDONS_LIB_SOVERSION}
)

install(TARGETS shorturlpluginprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)



add_subdirectory(shorturlengineplugin)

set(kmail_insertshorturleditorplugin_SRCS
    insertshorturlplugineditor.cpp
    insertshorturlplugineditorinterface.cpp
    insertshorturlconfiguredialog.cpp
    insertshorturlconfigurewidget.cpp
    ${pimcommon_shorturlplugin_shorturllib_SRCS}
)
ecm_qt_declare_logging_category(kmail_insertshorturleditorplugin_SRCS HEADER kmail_insertshorturl_debug.h IDENTIFIER KMAIL_INSERTSHORTURL_LOG CATEGORY_NAME org.kde.pim.kmail_insertshorturl)

kcoreaddons_add_plugin(kmail_insertshorturleditorplugin JSON kmail_insertshorturleditorplugin.json SOURCES
    ${kmail_insertshorturleditorplugin_SRCS} INSTALL_NAMESPACE kmail)

target_link_libraries(kmail_insertshorturleditorplugin
  KF5::IconThemes KF5::MessageComposer KF5::XmlGui KF5::I18n shorturlpluginprivate KF5::CoreAddons
)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kmail/editorplugins/insertspecialcharacter/CMakeLists.txt ===
set(kmail_insertspecialcharactereditorplugin_SRCS
    insertspecialcharacterplugineditor.cpp
    insertspecialcharacterplugineditorinterface.cpp
)

kcoreaddons_add_plugin(kmail_insertspecialcharactereditorplugin JSON kmail_insertspecialcharactereditorplugin.json SOURCES
    ${kmail_insertspecialcharactereditorplugin_SRCS} INSTALL_NAMESPACE kmail)

target_link_libraries(kmail_insertspecialcharactereditorplugin
  KF5::IconThemes KF5::MessageComposer KF5::XmlGui KF5::I18n
)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kmail/editorsendcheckplugins/confirm-address/CMakeLists.txt ===
set(kmail_confirmaddresseditorplugin_SRCS
    confirmaddressinterface.cpp
    confirmaddressplugin.cpp
    confirmaddressconfigurewidget.cpp
    confirmaddressdialog.cpp
    confirmaddresswidget.cpp
    confirmaddressconfiguretabwidget.cpp
    confirmaddressconfiguretab.cpp
    confirmaddresscheckjob.cpp
    confirmaddressconfiguredialog.cpp
    confirmaddresssimplestringlisteditor.cpp
    confirmaddressemailentrydialog.cpp
    )

ecm_qt_declare_logging_category(kmail_confirmaddresseditorplugin_SRCS HEADER confirmaddressplugin_debug.h IDENTIFIER KMAIL_EDITOR_CONFIRMADDRESS_PLUGIN_LOG CATEGORY_NAME org.kde.pim.kmail_confirmaddressplugin)

kcoreaddons_add_plugin(kmail_confirmaddresseditorplugin JSON kmail_confirmaddressplugin.json SOURCES
    ${kmail_confirmaddresseditorplugin_SRCS} INSTALL_NAMESPACE kmail)

target_link_libraries(kmail_confirmaddresseditorplugin
    KF5::IconThemes KF5::MessageComposer KF5::I18n KF5::PimCommon KF5::Libkdepim
    )

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kdepim-addons (18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Disable tests for armhf.

 -- Sandro Knauß <hefee@debian.org>  Sat, 02 Mar 2019 01:10:11 +0100

kdepim-addons (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:04:34 +0100

kdepim-addons (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:42 +0200

kdepim-addons (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:54:24 +0200

kdepim-addons (17.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add Breaks/Replaces on akonadi-contacts-data (<= 4:17.08.3-2).
    (closes: #894587)

 -- Sandro Knauß <hefee@debian.org>  Tue, 03 Apr 2018 19:24:24 +0200

kdepim-addons (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:23:58 +0200

kdepim-addons (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:04 +0100

kdepim-addons (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kdepim-addons.install, no more useful now
  * Remove alternative libqt5webengine5-dev build dependency.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:36:57 +0100

kdepim-addons (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark kdepim-addons as Multi-Arch: same.
  * Remove not needed Build-Deps.
  * Update Build-Dep from libgpgme11-dev -> libgpgmepp-dev.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:53:44 +0100

kdepim-addons (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:20:04 +0200

kdepim-addons (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:34 +0000

kdepim-addons (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:10 +0000

kdepim-addons (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:25 +0000

kdepim-addons (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:16:48 +0000

kdepim-addons (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:50 +0000

kdepim-addons (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:02 +0000

kdepim-addons (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:58:38 +0000

kdepim-addons (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:06 +0000

kdepim-addons (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:26:39 +0000

kdepim-addons (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:39 +0000

kdepim-addons (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:25 +0000

kdepim-addons (16.08.1-1~1.gbpd49343) UNRELEASED; urgency=medium

  ** SNAPSHOT build @d49343c839d0b87dde02bac6c9f6cf20faac8917 **

  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 13:57:54 +0200

kdepim-addons (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:15 +0000

kdepim-addons (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:18 +0000

kdepim-addons (16.07.90-0) UNRELEASED; urgency=medium

  * Neon build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Aug 2016 17:11:26 +0100

kdepim-addons (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:11 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.1~),
               dbus,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libgpgmepp-dev (>= 1.8.0~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadicalendar-dev (>= 4:18.08.3~),
               libkf5akonadicontact-dev (>= 4:18.08.3~),
               libkf5akonadinotes-dev (>= 4:18.08.3~),
               libkf5calendarsupport-dev (>= 4:18.08.3~),
               libkf5calendarutils-dev (>= 4:18.08.3~),
               libkf5config-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5declarative-dev (>= 5.47.0~),
               libkf5eventviews-dev (>= 4:18.08.3~),
               libkf5grantleetheme-dev (>= 18.08.3~),
               libkf5gravatar-dev (>= 4:18.08.3~),
               libkf5holidays-dev (>= 1:5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5identitymanagement-dev (>= 17.12.2~),
               libkf5imap-dev (>= 18.08.3~),
               libkf5incidenceeditor-dev (>= 18.08.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:18.08.3~),
               libkf5kaddressbookimportexport-dev (>= 4:18.08.3~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5ksieve-dev (>= 4:18.08.3~),
               libkf5libkdepim-dev (>= 4:18.08.3~),
               libkf5libkleo-dev (>= 4:18.08.3~),
               libkf5mailcommon-dev (>= 4:18.08.3~),
               libkf5mailimporter-dev (>= 4:18.08.3~),
               libkf5mailtransport-dev (>= 18.08.3~),
               libkf5messagecomposer-dev (>= 4:18.08.3~),
               libkf5messagecore-dev (>= 4:18.08.3~),
               libkf5messagelist-dev (>= 4:18.08.3~),
               libkf5messageviewer-dev (>= 4:18.08.3~),
               libkf5parts-dev (>= 5.47.0~),
               libkf5pimcommon-dev (>= 4:18.08.3~),
               libkf5pimtextedit-dev (>= 18.08.3~),
               libkf5prison-dev (>= 5.47.0~),
               libkf5syntaxhighlighting-dev (>= 5.47.0~),
               libkf5templateparser-dev (>= 4:18.08.3~),
               libkf5tnef-dev (>= 4:18.08.3~),
               libkf5webengineviewer-dev (>= 4:18.08.3~),
               libkf5xmlgui-dev (>= 5.47.0~),
               libkpimimportwizard-dev (>= 4:18.08.3~),
               libkpimitinerary-dev (>= 18.08.3~),
               libkpimpkpass-dev (>= 18.08.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtwebengine5-dev (>= 5.9.0~),
               shared-mime-info (>= 1.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: https://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git

Package: kdepim-addons
Architecture: any
Multi-Arch: same
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: akonadi-contacts-data (<= 4:17.08.3-2),
        kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08),
        korganizer (<= 4:16.04),
        libkf5messageviewer5 (<< 4:16.12.0),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: akonadi-contacts-data (<= 4:17.08.3-2),
          kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08),
          korganizer (<= 4:16.04),
          libkf5messageviewer5 (<< 4:16.12.0),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/dpkg/default.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
# The tests do not run successfully on armhf for Buster and it seems,
# that it is a RAM issue as the tests are anyways flaky,
# disable the tests for now. (hefee - 20190301)
ifeq ($(DEB_HOST_ARCH), armhf)
	echo "tests disabled for armhf"
else
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" -- \
	         dbus-run-session -- dh_auto_test --no-parallel
endif

## kdepim-addons 18.12.3

=== debian/changelog ===
kdepim-addons (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:20 +0100

kdepim-addons (18.12.3-0ubuntu1) disco; urgency=medium

  * Update lintian-overrides.
  * Recommended build dep for discount, libmarkdown2-dev.
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:59 +0000

kdepim-addons (18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 18:39:27 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadinotes-dev (>= 4:18.12.3~),
               libkf5calendarsupport-dev (>= 4:18.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:18.12.3~),
               libkf5grantleetheme-dev (>= 18.12.3~),
               libkf5gravatar-dev (>= 4:18.12.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 18.12.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:18.12.3~),
               libkf5kaddressbookimportexport-dev (>= 4:18.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5ksieve-dev (>= 4:18.12.3~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5libkleo-dev (>= 4:18.12.3~),
               libkf5mailcommon-dev (>= 4:18.12.3~),
               libkf5mailimporter-dev (>= 4:18.12.3~),
               libkf5messagecomposer-dev (>= 4:18.12.3~),
               libkf5messagecore-dev (>= 4:18.12.3~),
               libkf5messagelist-dev (>= 4:18.12.3~),
               libkf5messageviewer-dev (>= 4:18.12.3~),
               libkf5mimetreeparser-dev (>= 4:18.12.3~),
               libkf5pimcommon-dev (>= 4:18.12.3~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:18.12.3~),
               libkf5tnef-dev (>= 4:18.12.3~),
               libkf5webengineviewer-dev (>= 4:18.12.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 18.12.3~),
               libkpimimportwizard-dev (>= 4:18.12.3~),
               libkpimitinerary-dev (>= 18.12.3~),
               libkpimpkpass-dev (>= 18.12.3~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 19.04.3

=== debian/changelog ===
kdepim-addons (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Refresh patches.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,43 +8,43 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadinotes-dev (>= 4:18.12.3~),
-               libkf5calendarsupport-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadinotes-dev (>= 4:19.04.3~),
+               libkf5calendarsupport-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:18.12.3~),
-               libkf5grantleetheme-dev (>= 18.12.3~),
-               libkf5gravatar-dev (>= 4:18.12.3~),
+               libkf5eventviews-dev (>= 4:19.04.3~),
+               libkf5grantleetheme-dev (>= 19.04.3~),
+               libkf5gravatar-dev (>= 4:19.04.3~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5incidenceeditor-dev (>= 18.12.3~),
-               libkf5kaddressbookgrantlee-dev (>= 4:18.12.3~),
-               libkf5kaddressbookimportexport-dev (>= 4:18.12.3~),
+               libkf5incidenceeditor-dev (>= 19.04.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:19.04.3~),
+               libkf5kaddressbookimportexport-dev (>= 4:19.04.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5ksieve-dev (>= 4:18.12.3~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5libkleo-dev (>= 4:18.12.3~),
-               libkf5mailcommon-dev (>= 4:18.12.3~),
-               libkf5mailimporter-dev (>= 4:18.12.3~),
-               libkf5messagecomposer-dev (>= 4:18.12.3~),
-               libkf5messagecore-dev (>= 4:18.12.3~),
-               libkf5messagelist-dev (>= 4:18.12.3~),
-               libkf5messageviewer-dev (>= 4:18.12.3~),
-               libkf5mimetreeparser-dev (>= 4:18.12.3~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
+               libkf5ksieve-dev (>= 4:19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5libkleo-dev (>= 4:19.04.3~),
+               libkf5mailcommon-dev (>= 4:19.04.3~),
+               libkf5mailimporter-dev (>= 4:19.04.3~),
+               libkf5messagecomposer-dev (>= 4:19.04.3~),
+               libkf5messagecore-dev (>= 4:19.04.3~),
+               libkf5messagelist-dev (>= 4:19.04.3~),
+               libkf5messageviewer-dev (>= 4:19.04.3~),
+               libkf5mimetreeparser-dev (>= 4:19.04.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
                libkf5prison-dev (>= 5.39.0~),
                libkf5syntaxhighlighting-dev,
-               libkf5templateparser-dev (>= 4:18.12.3~),
-               libkf5tnef-dev (>= 4:18.12.3~),
-               libkf5webengineviewer-dev (>= 4:18.12.3~),
+               libkf5templateparser-dev (>= 4:19.04.3~),
+               libkf5tnef-dev (>= 4:19.04.3~),
+               libkf5webengineviewer-dev (>= 4:19.04.3~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 18.12.3~),
-               libkpimimportwizard-dev (>= 4:18.12.3~),
-               libkpimitinerary-dev (>= 18.12.3~),
-               libkpimpkpass-dev (>= 18.12.3~),
+               libkpimgapi-dev (>= 19.04.3~),
+               libkpimimportwizard-dev (>= 4:19.04.3~),
+               libkpimitinerary-dev (>= 19.04.3~),
+               libkpimpkpass-dev (>= 19.04.3~),
                libmarkdown2-dev (>= 2),
                libpoppler-qt5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),

## kdepim-addons 19.08.3

=== debian/changelog ===
kdepim-addons (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:13 +0100

kdepim-addons (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:40 +0100

kdepim-addons (18.08.3-4) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:55:05 +0100

kdepim-addons (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:48 +0200

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               dbus,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libgpgmepp-dev (>= 1.11.1~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicalendar-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadinotes-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.60.0~),
               libkf5contacteditor-dev (>= 4:5.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5declarative-dev (>= 5.60.0~),
               libkf5eventviews-dev (>= 4:19.08.3~),
               libkf5grantleetheme-dev (>= 19.08.3~),
               libkf5gravatar-dev (>= 4:19.08.3~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>> 18.08.3-2),
               libkf5imap-dev (>= 19.08.3~),
               libkf5incidenceeditor-dev (>= 19.08.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:19.08.3~),
               libkf5kaddressbookimportexport-dev (>= 4:19.08.3~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5kontactinterface-dev (>= 19.08.3~),
               libkf5ksieve-dev (>= 4:19.08.3~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5libkleo-dev (>= 4:19.08.3~),
               libkf5mailcommon-dev (>= 4:19.08.3~),
               libkf5mailimporter-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5messagecomposer-dev (>= 4:19.08.3~),
               libkf5messagecore-dev (>= 4:19.08.3~),
               libkf5messagelist-dev (>= 4:19.08.3~),
               libkf5messageviewer-dev (>= 4:19.08.3~),
               libkf5parts-dev (>= 5.60.0~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5prison-dev (>= 5.60.0~),
               libkf5syntaxhighlighting-dev (>= 5.60.0~),
               libkf5templateparser-dev (>= 4:19.08.3~),
               libkf5tnef-dev (>= 4:19.08.3~),
               libkf5webengineviewer-dev (>= 4:19.08.3~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libkpimimportwizard-dev (>= 4:19.08.3~),
               libkpimitinerary-dev (>= 19.08.3~),
               libkpimpkpass-dev (>= 19.08.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qtwebengine5-dev (>= 5.11.0~),
               shared-mime-info (>= 1.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git

Package: kdepim-addons
Architecture: any
Multi-Arch: same
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
-
-l10npkgs_firstversion_ok := 4:16.04.3-9~
 
 include /usr/share/dpkg/default.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
-include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_test:
 # The tests do not run successfully on armhf for Buster and it seems,
